<?php
/*---------------------------------------------------+
| PHP-Fusion 6 Content Management System
+----------------------------------------------------+
| Copyright  2002 - 2005 Nick Jones
| http://www.php-fusion.co.uk/
+----------------------------------------------------+
| Released under the terms & conditions of v2 of the
| GNU General Public License. For details refer to
| the included gpl.txt file or visit http://gnu.org
+----------------------------------------------------*/
require_once "maincore.php";
require_once "subheader.php";
require_once "side_left.php";
include LOCALE.LOCALESET."global.php";
include LOCALE.LOCALESET."news_cats.php";

if (isset($readmore) && !isNum($readmore)) fallback(FUSION_SELF);

$newslimit = 5;

if (isset($readmore)) {
	include INCLUDES."comments_include.php";
	include INCLUDES."ratings_include.php";
	$result = dbquery(
		"SELECT tn.*, user_id, user_name FROM ".$db_prefix."news tn
		LEFT JOIN ".$db_prefix."users tu ON tn.news_name=tu.user_id
		WHERE news_id='$readmore'"
	);
	if (dbrows($result)!=0) {
		$data = dbarray($result);
		if (checkgroup($data['news_visibility'])) {
			$news_cat_image = "";
			if (!isset($_POST['post_comment']) && !isset($_POST['post_rating'])) {
				 $result2 = dbquery("UPDATE ".$db_prefix."news SET news_reads=news_reads+1 WHERE news_id='$readmore'");
				 $data['news_reads']++;
			}
			$news_subject = $data['news_subject'];
			if ($data['news_cat'] != 0) {
				$result2 = dbquery("SELECT * FROM ".$db_prefix."news_cats WHERE news_cat_id='".$data['news_cat']."'");
				if (dbrows($result2)) {
					$data2 = dbarray($result2);
					$news_cat_image = "<a href='news_cats.php?cat_id=".$data2['news_cat_id']."'><img src='".IMAGES_NC.$data2['news_cat_image']."' alt='".$data2['news_cat_name']."' align='left' style='border:0px;margin-top:3px;margin-right:5px'></a>";
				}
			}
			$news_news = stripslashes($data['news_extended'] ? $data['news_extended'] : $data['news_news']);
			if ($data['news_breaks'] == "y") { $news_news = nl2br($news_news); }
			if ($news_cat_image != "") $news_news = $news_cat_image.$news_news;
			$news_info = array(
				"news_id" => $data['news_id'],
				"user_id" => $data['user_id'],
				"user_name" => $data['user_name'],
				"news_date" => $data['news_datestamp'],
				"news_ext" => "n",
				"news_reads" => $data['news_reads'],
				"news_comments" => dbcount("(comment_id)", "comments", "comment_type='N' AND comment_item_id='".$data['news_id']."'"),
				"news_allow_comments" => $data['news_allow_comments']
			);
			render_news($news_subject, $news_news, $news_info);
			if ($data['news_allow_comments']) showcomments("N","news","news_id",$readmore,FUSION_SELF."?readmore=$readmore");
			if ($data['news_allow_ratings']) showratings("N",$readmore,FUSION_SELF."?readmore=$readmore");
		} else {
			redirect(FUSION_SELF);
		}
	} else {
		redirect(FUSION_SELF);
	}
} else {
	opentable($locale['046']);
	$res = 0;
	list($last) = dbarraynum(dbquery("SELECT news_cat_id FROM ".$db_prefix."news_cats ORDER BY news_cat_id DESC LIMIT 1"));
	$result = dbquery("SELECT * FROM ".$db_prefix."news_cats ORDER BY news_cat_id");
	if (dbrows($result)) {
		$articlelist = ""; $catlist = "";
		while ($data = dbarray($result)) {
			$rows = dbcount("(news_id)", "news", "news_cat='".$data['news_cat_id']."' AND ".groupaccess('news_visibility')." AND (news_start='0'||news_start<=".time().") AND (news_end='0'||news_end>=".time().")");
			if ($rows) {
				$catlist .= "<div id='newscat_".$data['news_cat_id']."'><img src='".IMAGES_NC.$data['news_cat_image']."' onClick=\"javascript:flipNewsCat('".$data['news_cat_id']."', '$last')\" id='newsimg_".$data['news_cat_id']."' alt='".$data['news_cat_name']."' title='".$data['news_cat_name']."'>\n</div>";
				$articles = "";
				$result2 = dbquery("SELECT tn.*, user_id, user_name FROM ".$db_prefix."news tn LEFT JOIN ".$db_prefix."users tu ON tn.news_name=tu.user_id WHERE news_cat='".$data['news_cat_id']."' AND ".groupaccess('news_visibility')." AND (news_start='0'||news_start<=".time().") AND (news_end='0'||news_end>=".time().") ORDER BY news_datestamp DESC LIMIT $newslimit");
				while ($data2 = dbarray($result2)) {
					$articles .=  "
<a href=\"javascript:flipNews('News_".$data2['news_id']."')\">".$data2['news_subject']."</a> - ".showdate("shortdate", $data2['news_start'] ? $data2['news_start'] : $data2['news_datestamp'])."<br>\n
<div id='News_".$data2['news_id']."' class='newsarticle'  style='display: none;'>".stripslashes($data2['news_news']).
"<div class='newsinfo'>".$locale['040']."<a href='profile.php?lookup=".$data2['user_id']."'>".$data2['user_name']."</a> &middot; ".
($data2['news_extended'] ? "<a href='".FUSION_SELF."?readmore=".$data2['news_id']."'>".$locale['042']."</a> &middot; " : "").
($data2['news_allow_comments'] ? "<a href='".FUSION_SELF."?readmore=".$data2['news_id']."'>".($data2['news_comments'] ? $data2['news_comments'] : 0).$locale['043']."</a> &middot;\n" : "").
$data2['news_reads'].$locale['044']."</div></div>\n";				}
				if ($rows > $newslimit) $articles .= "<div style='text-align:right'><img src='".THEME."images/bullet.gif' alt=''> <a href='news_cats.php?cat_id=".$data['news_cat_id']."'>".$locale['405']."</a></div>\n";
			} else {
				$articles = "<img src='".THEME."images/bullet.gif' alt=''> ".$locale['404']."\n";
			}
			$articlelist .= "<div id='newscatlist_".$data['news_cat_id']."' style='display: none;'><div class='newstitle'>".$data['news_cat_name']."</div>$articles</div>";
		}
		$res = 1;
	}
	$result = dbquery("SELECT tn.*, user_id, user_name FROM ".$db_prefix."news tn LEFT JOIN ".$db_prefix."users tu ON tn.news_name=tu.user_id WHERE news_cat='0' AND ".groupaccess('news_visibility')." AND (news_start='0' || news_start<=".time().") AND (news_end='0'||news_end>=".time().") ORDER BY news_datestamp DESC LIMIT $newslimit");
	if (dbrows($result)) {
		$nrows = dbcount("(news_id)", "news", "news_cat='0' AND ".groupaccess('news_visibility')." AND (news_start='0'||news_start<=".time().") AND (news_end='0'||news_end>=".time().")");
		$catlist .= "<div id='newscat_0'><a href=\"javascript:flipNews('".$data['news_cat_id']."', '$last'>".$locale['403']."</a></div>";
		$articles = "";
		while ($data2 = dbarray($result)) {
					$articles .=  "
<a href=\"javascript:flipNews('News_".$data2['news_id']."')\">".$data2['news_subject']."</a> - ".showdate("shortdate", $data2['news_start'] ? $data2['news_start'] : $data2['news_datestamp'])."<br>\n
<div id='News_".$data2['news_id']."' class='newsarticle'  style='display: none;'>".stripslashes($data2['news_news']).
"<div class='newsinfo'>".$locale['040']."<a href='profile.php?lookup=".$data2['user_id']."'>".$data2['user_name']."</a> &middot; ".
($data2['news_extended'] ? "<a href='".FUSION_SELF."?readmore=".$data2['news_id']."'>".$locale['042']."</a> &middot; " : "").
($data2['news_allow_comments'] ? "<a href='".FUSION_SELF."?readmore=".$data2['news_id']."'>".($data2['news_comments'] ? $data2['news_comments'] : 0).$locale['043']."</a> &middot;\n" : "").
$data2['news_reads'].$locale['044']."</div></div>\n";		}
		$res = 1;
		if ($nrows > $newslimit) $articles .= "<div style='text-align:right'><img src='".THEME."images/bullet.gif' alt=''> <a href='news_cats.php?cat_id=0'>".$locale['405']."</a></div>\n";
		$articlelist .= "<div id='newscatlist_0'>$articles</div>";
	}
	if ($res == 1) {
		$result = dbquery("SELECT tn.*, user_id, user_name FROM ".$db_prefix."news tn LEFT JOIN ".$db_prefix."users tu ON tn.news_name=tu.user_id WHERE ".groupaccess('news_visibility')." AND (news_start='0' || news_start<=".time().") AND (news_end='0'||news_end>=".time().") ORDER BY news_datestamp DESC LIMIT $newslimit");
		$articles = "";
		while($data2 = dbarray($result)) {
			$articles .=  "
<a href=\"javascript:flipNews('News_C".$data2['news_id']."')\">".$data2['news_subject']."</a> - ".showdate("shortdate", $data2['news_start'] ? $data2['news_start'] : $data2['news_datestamp'])."<br>\n
<div id='News_C".$data2['news_id']."' class='newsarticle'  style='display: none;'>".stripslashes($data2['news_news']).
"<div class='newsinfo'>".$locale['040']."<a href='profile.php?lookup=".$data2['user_id']."'>".$data2['user_name']."</a> &middot; ".
($data2['news_extended'] ? "<a href='".FUSION_SELF."?readmore=".$data2['news_id']."'>".$locale['042']."</a> &middot; " : "").
($data2['news_allow_comments'] ? "<a href='".FUSION_SELF."?readmore=".$data2['news_id']."'>".($data2['news_comments'] ? $data2['news_comments'] : 0).$locale['043']."</a> &middot;\n" : "").
$data2['news_reads'].$locale['044']."</div></div>\n";
		}
		$articlelist .= "<div id='newscurrent'><div class='newstitle'>Latest News</div>$articles</div>";
		echo "<table width='100%'><tr><td valign='top' id='newscatlist'>".$catlist."</td><td style='width: 75%;' valign='top' id='newsarticlelist' >".$articlelist."</td></tr></table>";
	} else {
		echo "<center><br>\n".$locale['407']."<br><br>\n</center>\n";
	}
closetable();
}
require_once "side_right.php";
require_once "footer.php";
?>